/* 
 * File:   main.c
 * Author: Chisanga
 *
 * Created on 26 May 2020, 6:53 PM
 */

//------------------------------------------------------------------------------
#define  _XTAL_FREQ 4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "headers/MCP3204.h"
#include "headers/Lcd4.h"
//------------------------------------------------------------------------------
char out[20];
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
    MCP3204_init();
    LCD_init();
      
    while(1)
    {
      sprintf(out,"Ouput: %d",MCP3204_getADC());
      LCD_string(0,0,out);
      
      __delay_ms(1000);
      LCD_command(clear);
    }
    
    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------